# storage update

## Synopsis

```shell
omics workbench storage update STORAGE_ID
  [--name NAME]
  [--access-key-id ACCESS_KEY_ID]
  [--secret-access-key SECRET_ACCESS_KEY]
  [--region REGION]
```

## Description

Update the configuration of an existing storage account in Workbench. This command allows you to modify the details of a storage account, such as the access keys or region.

## Examples

Update the name of an existing storage account with the given `STORAGE_ID`:

```shell
omics workbench storage update aws my-aws-account --name "My updated AWS Account"
```

Update the access keys, and region of an existing storage account with the given `STORAGE_ID`:

```shell
omics workbench storage update aws my-aws-account
  --access-key-id AKIA1USDFGPGUDF9FROW
  --secret-access-key my-secret-access-key
  --region us-east-1
```

## Positional Arguments

### `STORAGE_ID`

The user-defined ID of the storage account to add.

## Flags

### `--name`=`NAME`

A human readable name for the account.

### `--access-key-id`=`ACCESS_KEY_ID`

The access Key ID to authenticate to AWS with.

### `--secret-access-key`=`SECRET_ACCESS_KEY`

The secret value of the access key.

### `--region`=`REGION`

The AWS region the access key is for.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/storage-update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
